Sign up with magic link email
POST /signup/passwordless/email
Register a new user account using passwordless email authentication. Sends a magic link to the specified email address for verification.
Use this endpoint to explicitly register a new account. When AUTH_DISABLE_AUTO_SIGNUP is enabled, this is the only way to register through this method.
Request Body required
Section titled “Request Body required ”Email address and optional user options for magic link registration
object
A valid email
Example
john.smith@nhost.ioobject
Example
[ "me", "user"]Example
userExample
John SmithA two or three characters locale
Example
enobject
Example
{ "firstName": "John", "lastName": "Smith"}Example
https://my-app.com/catch-redirectionPKCE code challenge (S256). When provided, the verification redirect will contain an authorization code instead of a refresh token.
Responses
Section titled “ Responses ”Magic link sent to the user’s email. To prevent account enumeration, this response is also returned without side effects when the email is already registered.
default
Section titled “default ”An error occurred while processing the request
Standardized error response
object
HTTP status error code
Example
400Human-friendly error message
Example
Invalid email formatError code identifying the specific application error